import { StateNode } from './index';
import { StateValue } from './types';
export interface IEdge {
    event: string;
    source: StateNode;
    target: StateNode;
}
export interface INodesAndEdges {
    nodes: StateNode[];
    edges: IEdge[];
}
export declare function getNodes(node: StateNode): StateNode[];
export declare function getEdges(node: StateNode, visited?: Record<string, true>): IEdge[];
export interface Segment {
    state: string;
    event: string;
}
export interface IPathMap {
    [key: string]: Segment[];
}
export interface IPathsMap {
    [key: string]: Segment[][];
}
export interface ITransitionMap {
    state: StateValue | undefined;
}
export interface IAdjacencyMap {
    [stateId: string]: Record<string, ITransitionMap>;
}
export declare function getAdjacencyMap(node: StateNode): IAdjacencyMap;
export declare function getShortestPaths(machine: StateNode): IPathMap | undefined;
export declare function getSimplePaths(machine: StateNode): IPathsMap | undefined;
